Bug 442166 - PK is too quick to assume network down after resume
PK is too quick to assume network down after resume
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-12 06:21 EDT by Adam Huffman
Modified: 2008-05-06 05:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 05:39:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
what i've added into git (728 bytes, patch)
2008-04-17 12:06 EDT, Richard Hughes
no flags Details | Diff

  None (edit)
Description Adam Huffman 2008-04-12 06:21:26 EDT
Description of problem:
When I resume my laptop from suspend-to-RAM, it takes about half a minute for
NetworkManager to reconnect to my wireless network.  During this period I see a
message from PackageKit saying that it can't connect to one of my repositories.
 I think PackageKit shouldn't be so quick to assume that the network is down.

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Richard Hughes 2008-04-12 08:28:18 EDT
How long should it wait? Should it explicitly wait for NetworkManager to come
back up, or just increase the timeout to something like two minutes?
Comment 2 Adam Huffman 2008-04-12 08:52:06 EDT
I think the ideal would be to wait for NetworkManager to report an active
connection, though obviously it would be simpler to increase the timeout.

It does seem that with some routers reassociation takes quite a long time.
Comment 3 Richard Hughes 2008-04-17 12:06:56 EDT
Created attachment 302762 [details]
what i've added into git

I've added this into upstream, which should fix your bug. Do you want me to
build this as an update for F9?
Comment 4 Adam Huffman 2008-04-18 08:55:18 EDT
That would be useful, yes.
Comment 5 Richard Hughes 2008-04-18 09:58:40 EDT
Pushed to stable, will showup in rawhide when I build the next snapshot.

Note You need to log in before you can comment on or make changes to this bug.